package md

import (
	"applet/app/admin/enum"
)

type AddGoodsReq struct {
	Base    MallBaseGoods   `json:"base" binding:"required" label:"商品基本信息"`        // 基本信息
	SkuList []*MallGoodsSku `json:"sku_list" binding:"required,gt=0" label:"商品规格"` // sku列表
}

type MallBaseGoods struct {
	GoodsId      string                  `json:"goods_id,omitempty" label:"商品ID"`             // 商品id,0或不传为新建
	Title        string                  `json:"title" binding:"required,lte=200" label:"标题"` // 商品标题
	CategoryId   int                     `json:"category_id" binding:"required" label:"商品类目"` // 商品类目id
	ImageList    []string                `json:"image_list" label:"商品主图"`                     // 主图列表
	ImageListUrl []string                `json:"image_list_url" `                             // 主图列表
	SaleState    enum.MallGoodsSaleState `json:"sale_state" label:"开售时间"`                     // 销售状态
	Spe          []Spe                   `json:"spe" binding:"required,gt=0" label:"商品规格"`    // 规格
	Detail       []string                `json:"detail" label:"商品详情"`                         // 商品详情
	DetailUrl    []string                `json:"detail_url" `                                 // 商品详情
	Price        string                  `json:"price" binding:"required" label:"价格"`         // 价格
	Sort         int                     `json:"sort" label:"排序"`                             // 排序
}

type Spe struct {
	Name   string   `json:"name" label:"规格名"`   // 规格名
	Values []string `json:"values" label:"规格值"` // 规格值
}

type MallGoodsSku struct {
	SkuID   int               `json:"sku_id,omitempty" label:"skuID" copier:"-"` // sku_id 0或不传为新建
	GoodsID int               `json:"goods_id,omitempty" label:"商品ID"`           // 0或不传为新建
	SkuCode string            `json:"sku_code,omitempty" label:"sku編碼"`
	Price   string            `json:"price" binding:"required" label:"价格"` // 价格
	Sku     []MallGoodsSkuSku `json:"sku" label:"规格组合"`                    // 规格组合
}

type MallGoodsSkuSku struct {
	Name  string `json:"name" binding:"required" label:"规格名"`  // 规格名
	Value string `json:"value" binding:"required" label:"规格值"` // 规格值
}
